<?php
/*-------------------------------------------------------------------------------*/
/*   AJAX Get Slider List
/*-------------------------------------------------------------------------------*/
function msb_grab_slider_list_ajax() {
	
	if ( !isset( $_POST['grabslider'] ) ) {
		wp_die();
		} 
		else {
			
			$list = array();
			
			global $post;
			
			$args = array(
  				'post_type' => 'skypebutton',
  				'order' => 'ASC',
				'posts_per_page' => -1,
  				'post_status' => 'publish'
		
				);

				$myposts = get_posts( $args );
				foreach( $myposts as $post ) :	setup_postdata($post);

				$list[$post->ID] = array('val' => $post->ID, 'title' => esc_html(esc_js(the_title(NULL, NULL, FALSE))) );

				endforeach;
				
				}
		
			echo json_encode($list); //Send to Option List ( Array )
			wp_die();


	}

add_action('wp_ajax_msb_grab_slider_list_ajax', 'msb_grab_slider_list_ajax');

/*-------------------------------------------------------------------------------*/
/*   Frontend Register JS & CSS
/*-------------------------------------------------------------------------------*/
function msb_reg_script() {
	wp_register_style( 'msb-tinymcecss', plugins_url( 'tinymce/tinymce.css' , dirname(__FILE__) ), false, 'all');
	wp_register_script( 'msb-tinymcejs', plugins_url( 'tinymce/tinymce.js' , dirname(__FILE__) ), false );	
}
add_action( 'admin_init', 'msb_reg_script' );


//-------------------------------------------------------------------------------------------------	
if ( strstr( $_SERVER['REQUEST_URI'], 'wp-admin/post-new.php' ) || strstr( $_SERVER['REQUEST_URI'], 'wp-admin/post.php' ) ) {
	
// ADD STYLE & SCRIPT
	add_action( 'admin_head', 'msb_editor_add_init' );
		function msb_editor_add_init() {
			
			if ( get_post_type( get_the_ID() ) != 'skypebutton' ) {
				
				wp_enqueue_style( 'msb-tinymcecss' );
				wp_enqueue_script( 'msb-tinymcejs' );

		?>
        <?php
			}
			
		}
	
// ADD MEDIA BUTOON	
	add_action( 'media_buttons_context', 'msb_shortcode_button', 1 );
		function msb_shortcode_button($context) {
			$img = SBWP_PLUGIN_DIR .'img/skype.png';
			$container_id = 'msbmodal';
			$title = 'Insert Skype Button';
			$context .= '
			<a class="thickbox button" id="msb_shortcode_button" title="'.$title.'" style="outline: medium none !important; cursor: pointer;" >
			<img src="'.$img.'" alt="" width="20" height="20" style="position:relative; top:-1px"/>Modern Skype Button</a>';
			return $context;
		}	
}


// GENERATE POPUP CONTENT
add_action('admin_footer', 'msb_popup_content');	
function msb_popup_content() {

if ( strstr( $_SERVER['REQUEST_URI'], 'wp-admin/post-new.php' ) || strstr( $_SERVER['REQUEST_URI'], 'wp-admin/post.php' ) ) {

if ( get_post_type( get_the_ID() ) != 'skypebutton' ) {
// START GENERATE POPUP CONTENT

?>
<div id="msbmodal" style="display:none;">
<div id="tinyform" style="width: 550px;">
<form method="post">

<div class="msb_input" id="msbtinymce_select_slider_div">
<label class="label_option" for="msbtinymce_select_slider">Modern Skype Button</label>
	<select class="msb_select" name="msbtinymce_select_slider" id="msbtinymce_select_slider">
    <option id="selectslider" type="text" value="select">- Select Skype Button -</option>
</select>
<div class="clearfix"></div>
</div>

<div class="msb_button">
<input type="button" value="Insert Shortcode" name="msb_insert_scrt" id="msb_insert_scrt" class="button-secondary" />	
<div class="clearfix"></div>
</div>

</form>
</div>
</div>
<?php 
	}
  } //END
}

?>